#ifndef SLEEP_HANDLER_H
#define SLEEP_HANDLER_H

#include <zephyr/bluetooth/bluetooth.h>
#include <bluetooth/mesh/models.h>
#include <zephyr/bluetooth/mesh.h>
#include <dk_buttons_and_leds.h>
#include "message_cli.h"

#define COMP_ID CONFIG_BT_COMPANY_ID
#define MODEL_ID 0x0101

#define MESSAGE_SET_OPCODE    BT_MESH_MODEL_OP_3(0x01, KITT_ID)
#define MESSAGE_ACK_OPCODE    BT_MESH_MODEL_OP_3(0x02, KITT_ID)
#define MESSAGE_STATUS_OPCODE BT_MESH_MODEL_OP_3(0x03, KITT_ID)

#define MESSAGE_SET_LEN 1
#define MESSAGE_SET_MAX_LEN 100
#define MESSAGE_ACK_LEN 0
#define MESSAGE_STATUS_LEN 1

#define STANDARD_UPDATE_CYCLE 3

int set_status(enum message_model_status status);
int send_message(uint8_t* message);
int send_buffer(uint8_t* buffer, uint16_t len);

const struct bt_mesh_comp* message_handler_init(void);

#endif